---
identifier: "OSVDB-124991"
package_slug: "gem/ruby-saml"
title: "XPath Injection Vulnerability"
description: "The gem is vulnerable to XPath injection on xml_security.rb. The lack
  of prepared statements allows for command injection, leading to arbitrary code execution."
date: "2015-04-29"
pubdate: "2015-04-29"
affected_range: "<1.0.0"
fixed_versions:
- "1.0.0"
affected_versions: "All versions before 1.0.0"
solution: "Upgrade to latest version."
urls:
- "https://github.com/onelogin/ruby-saml/commit/9853651b96b99653ea8627d757d46bfe62ab6448"
uuid: "5425926c-6c44-4fa1-89e1-3a0a1c956648"
